| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Public Attributes | Protected Member Functions | Static Protected Member Functions | Protected Attributes | Properties | Private Member Functions | Static Private Member Functions | Private Attributes | Static Private Attributes

# IG::Lib::Old::Reporter Class Reference

Base IG class for reporting, tracing and logging; provides a global reporter and a basis for creation of local reporters. This class is identical to the IGLib class (copied directly). IN EFA, refer to the derived class Reporter! More...

Inheritance diagram for IG::Lib::Old::Reporter:
[legend]
Collaboration diagram for IG::Lib::Old::Reporter:
[legend]

List of all members.

## Public Member Functions
| Reporter ()
| Constructor. Initializes all error reporting delegates to default values and sets auxliary object to null. Auxiliary object Obj is set to null.
| Reporter (object obj, ReportDelegate reportdelegate, ReportLocationDelegate locationdelegate, ReportMessageDelegate messagedelegate, ReserveReportErrorDelegate reservereportdelegate)
| Constructor. Initializes the error reporter by the specified auxiliary object and delegates used to perform error reporting tasks. Delegates that are not specified are set to default values.
| Reporter (object obj, ReportDelegate reportdelegate, ReportLocationDelegate locationdelegate, ReportMessageDelegate messagedelegate)
| Constructor. Initializes the error reporter by the specified auxiliary object and delegates used to perform error reporting tasks. Reserve error reporting delegate is initialized to a default value. Delegates that are not specified are set to default values.
| Reporter (object obj, ReportDelegate reportdelegate)
| Constructor. Initializes the error reporter by the specified auxiliary object and the delegate to perform error reporting tasks. Reserve error reporting delegate is initialized to a default value. Delegates for assembling the error location string and error message string are set to their default values, which are adapted to console-like eror reporting systems.
| Reporter (object obj, ReportDelegate reportdelegate, ReserveReportErrorDelegate reservereportdelegate)
| Constructor. Initializes the error reporter by the specified auxiliary object and delegates used to perform error reporting tasks. Delegates for assembling the error locatin and error message string are set to their default values, which are adapted to console-like eror reporting systems.
void | Init (object obj, ReportDelegate reportdelegate, ReportLocationDelegate locationdelegate, ReportMessageDelegate messagedelegate, ReserveReportErrorDelegate reservereportdelegate)
| Initializes the error reporter by the specified auxiliary object and delegates used to perform error reporting tasks. Delegates that are not specified are set to default values.
void | Init ()
| Initializes all error reporting delegates to default values and sets auxliary object to null. Auxiliary object Obj is set to null.
void | Init (object obj, ReportDelegate reportdelegate, ReportLocationDelegate locationdelegate, ReportMessageDelegate messagedelegate)
| Initializes the error reporter by the specified auxiliary object and delegates used to perform error reporting tasks. Reserve error reporting delegate is initialized to a default value. Delegates that are not specified are set to default values.
void | Init (object obj, ReportDelegate reportdelegate)
| Initializes the error reporter by the specified auxiliary object and the delegate to perform error reporting tasks. Reserve error reporting delegate is initialized to a default value. Delegates for assembling the error location string and error message string are set to their default values, which are adapted to console-like eror reporting systems.
void | Init (object obj, ReportDelegate reportdelegate, ReserveReportErrorDelegate reservereportdelegate)
| Initializes the error reporter by the specified auxiliary object and delegates used to perform error reporting tasks. Delegates for assembling the error locatin and error message string are set to their default values, which are adapted to console-like eror reporting systems.
virtual void | ResetLevels ()
| Resets the various kinds of reporting levels to default values.
bool | DoReporting (ReportType reptype)
| Returns true if the report of a given type should be shown by user interface (according to ReportingLevel), and false if not.
bool | DoLogging (ReportType reptype)
| Returns true if the report of a given type should be logged in log files (according to ReportingLevel), and false if not.
bool | DoTracing (ReportType reptype)
| Returns true if the report of a given type should traced (according to ReportingLevel), and false if not.
virtual EventLogEntryType | ReportType2EventLogEntryType (ReportType rt)
| Returns the System.Diagnostics.EventLogEntryType value corresponding to the given ReportType. Remark: FailureAudit and SuccessAudit can not be generated because they don't have representation in ReportType.
virtual ReportType | EventLogEntryType2ReportType (EventLogEntryType el)
| Returns the ReportType value corresponding to the given System.Diagnostics.EventLogEntryType. Remark: FailureAudit and SuccessAudit do not have representation in ReportType and are mapped to Error and Warning, respectively.
virtual TraceLevel | ReportLevel2TraceLevel (ReportLevel level)
| Returns the System.Diagnostics.TraceLevel value corresponding to the given ReportLevel.
virtual ReportLevel | TraceLevel2ReportLevel (TraceLevel tl)
| Returns the ReportLevel value corresponding to the given System.Diagnostics.TraceLevel.
virtual void | Report (ReportType messagetype, string location, string message, Exception ex)
| Basic reporting method (overloaded). Launches an error report, a warning report or s kind of report/message. Supplemental data (such as objects necessary to launch visualize the report or operation typeflags) are obtained from the class' instance.
void | Report (ReportType messagetype, string message, Exception ex)
| Launches a report. Predominantly for error and warning reports.
void | Report (ReportType messagetype, Exception ex, string location)
| Launches a report. Predominantly for error and warning reports.
void | Report (ReportType messagetype, Exception ex)
| Launches a report. Predominantly for error and warning reports.
void | Report (ReportType messagetype, string location, string message)
| Launches a report.
void | Report (ReportType messagetype, string message)
| Launches a report.
void | ReportError (string location, string message, Exception ex)
| Basic error reporting method (overloaded). Supplemental data (such as objects necessary to launch visualize the report or operation typeflags) are obtained from the class' instance.
void | ReportError (string message, Exception ex)
| Launches an error report.
void | ReportError (Exception ex, string location)
| Launches an error report.
void | ReportError (Exception ex)
| Launches an error report. Predominantly for error and warning reports.
void | ReportError (string location, string message)
| Launches an error report.
void | ReportError (string message)
| Launches an error report.
void | ReportWarning (string location, string message, Exception ex)
| Basic warning reporting method (overloaded). Supplemental data (such as objects necessary to launch visualize the report or operation typeflags) are obtained from the class' instance.
void | ReportWarning (string message, Exception ex)
| Launches a warning report.
void | ReportWarning (Exception ex, string location)
| Launches a warning report.
void | ReportWarning (Exception ex)
| Launches a warning report. Predominantly for error and warning reports.
void | ReportWarning (string location, string message)
| Launches a warning report.
void | ReportWarning (string message)
| Launches a warning report.
void | ReportInfo (Exception ex)
| Launches an info.
void | ReportInfo (string location, string message)
| Launches an info.
void | ReportInfo (string message)
| Launches an info.
## Static Public Member Functions
static bool | DoLaunch (ReportType reptype, ReportLevel replevel)
| Returns true if the report of a given type will be launched at the given reporting level, and false if not.
static string | DefaultReportStringMessageBox (Reporter reporter, ReportType messagetype, string errorlocation, string errormessage)
| Auxiliary method that composes the complete message, including decoration, for reports launched in a message box.
static string | DefaultReportStringConsole (Reporter reporter, ReportType messagetype, string errorlocation, string errormessage)
| Auxiliary method that composes the complete message, including decoration, for reports launched in consoles.
static string | DefaultReportStringConsoleTimeStamp (Reporter reporter, ReportType messagetype, string errorlocation, string errormessage)
| Auxiliary method that composes the complete message, including decoration with a TIMESTAMP, for reports launched in consoles.
static string | DefaultReportStringConsoleBas (Reporter reporter, ReportType messagetype, string errorlocation, string errormessage, bool timestamp)
| Base method for DefaultReportStringConsole and DefaultReportStringConsoleTimeStamp.
static void | DefaultReportConsole (Reporter reporter, ReportType messagetype, string errorlocation, string errormessage)
| Default delegate for reporting. For parameter descriptions, see ReportDlg.
static string | DefaultLocationString (Reporter reporter, ReportType messagetype, string location, Exception ex)
| Default delegate for assembly of the location string when reporting on consoles. For parameter descriptions, see ReportMessageDlg.
static string | DefaultMessageString (Reporter reporter, ReportType messagetype, string basicmessage, Exception ex)
| Default delegate for message assembly of the message string when reporting on consoles. For parameter descriptions, see ReportMessageDlg.
static string | DefaultReserveReportMessage (Reporter reporter, ReportType messagetype, string location, string message, Exception ex, Exception ex1)
  | Default function function for assembling reserve error reporting message. This is put outside the DefaultReserveReportError() method such that the same assembly method can be used in different systems. The method is considered bulletproof. Parameters:
  messagetype | Level of the message (Error, Warning,Info, etc.)
  location | Location string as passed to the error reporting function that has thrown an exception.
  message | Error message string as passed to the error reporting function that has thrown an exception.
  ex | Original exception that was being reported when the error reporting function threw an exception.
  ex1 | Exception thrown by the error reporting function.
static void | DefaultReserveReportError (Reporter reporter, ReportType messagetype, string location, string message, Exception ex, Exception ex1)
| Default function function for reserve error reporting (called if an exception is thrown in an error reporting function). Writes a report to the application'result standard console (if defined).
static string | ErrorLocationString0 (Exception ex)
| Returns location string derived from ex, which includes information about the location where error occurred, specified by the source file name, function and line and column numbers.
static string | ErrorLocationString0 (string location, Exception ex)
| Returns Error location string derived from ex, which includes information about location of error occurrence and is prepended by additional location information (such as class name)
## Public Attributes
ReportDelegate | ReportDlg = null
| Delegate that performs error reporting. It calls delegates ReportDlg to assemble error location information and ReportMessageDlg to assemble error message. Then it uses both to assemble the final decorated error message and launches it in its own way.
ReportLocationDelegate | ReportLocationDlg = null
| Delegate that assembles the error location string.
ReportMessageDelegate | ReportMessageDlg = null
| Delegate that assembles the eror message string.
ReserveReportErrorDelegate | ReserveReportErrorDlg = null
| Delegate that reports an error when the error reporting function throws an exception. Functions assigned to this delegate should really be BULLETPROOF. It is highly recommended to do reporting in small steps enclosed in try/catch blocks and especially to use the error reporting object very carefully (because it may not be initialized properly, which can also be the reason that the error reporting function crashes). It is higly recommended to first call the DefaultReserveReportError() within the function assigned to this delegate, or at least to use the DefaultReserveReportMessage() method for assembly of the message shown.
bool | DebugMode = false
| Indicates that reporting suitable for debugging mode should be performed. A standard flag that can be used by the delegate functions.
ReportDelegate | ReportDlgTextWriter = new ReportDelegate(DefaultReport_TextWriter)
| Delegate that performs reporting (actually logging) via text writer.
ReportLocationDelegate | ReportLocationDlgTextWriter = new ReportLocationDelegate(DefaultReportLocation_TextWriter)
| Delegate that assembles the location string for reporting via console form.
ReportMessageDelegate | ReportMessageDlgTextWriter = new ReportMessageDelegate(DefaultReportMessage_TextWriter)
| Delegate that assembles the message string for reporting via text writer.
## Protected Member Functions
virtual void | SetDefaultReportDlg ()
| Sets the error reporting delegate to the default value. The default delegate does not utilize the auxiliary object (and can be mixed with the delegates that do.)
virtual void | SetDefaultReportLocationDlg ()
| Sets the error location assembling delegate to the default value. The default delegate does not utilize the auxiliary object (and can be mixed with the delegates that do.)
virtual void | SetDefaultReportMessageDlg ()
| Sets the error message assembling delegate to the default value. The default delegate does not utilize the auxiliary object (and can be mixed with the delegates that do.)
virtual void | SetDefaultReserveReportErrorDlg ()
| Sets the reserve error reporting delegate to the default value. The default delegate does not utilize the auxiliary object (and can be mixed with the delegates that do.)
virtual void | InitBegin ()
| Initial part of initialization. Auxiliary object is not affected because default delegates do not utilize it.
virtual void | InitEnd ()
| Finalizing part of initialization. Auxiliary object is not affected because default delegates do not utilize it.
void | SyncReportLevelWithTraceSwitch (TraceSwitch tswitch, ref ReportLevel level)
| Synchronizes the value of ReportLevel enumeration variable with the state of a TraceSwitch variable. Enumeration is synchronized according to the Level property of the switch.
void | SyncTraceSwitchWithReportLevel (ReportLevel level, TraceSwitch tswitch)
| Synchronizes the state of a TraceSwitch object with the value of the ReportLevel enumeration.
virtual void | ReserveReportError (ReportType messagetype, string location, string message, Exception ex, Exception ex1)
| Used to report errors within reporting functions. Designed to be bullet proof in order to ensure that improper behavior of the reporting system does not remain unnoticed.
virtual void | Report_TextWriter (ReportType messagetype, string location, string message, Exception ex)
| Launches a report via console form. Report is launched by using special delegates for this kind of reporting. If the corresponding delegates for error location and message are not specified then general delegates are used for this purporse, or location and message string are simple assembled by this function.
## Static Protected Member Functions
static int | WriteMessage (Reporter reporter, string msg)
| Writes the message msg to all output streams and files registered with the reporter.
static void | DefaultReport_TextWriter (Reporter reporter, ReportType messagetype, string location, string message)
| Default delegate for launching reports (actually logging reports) via text writer.
static string | DefaultReportLocation_TextWriter (Reporter reporter, ReportType messagetype, string location, Exception ex)
| Delegate for assembling a location string for this kind of report.
static string | DefaultReportMessage_TextWriter (Reporter reporter, ReportType messagetype, string basicmessage, Exception ex)
| Delegate for assembling a report message for this kind of report.
## Protected Attributes
bool | IsGlobal = false
| Indicates whwther the current reporter is used as a global reporter or not. This flag is set when the global reporter is initialized.
ReportLevel | _ReportingLevel = ReportLevel.Warning
TraceSwitch | _ReportingSwitch = null
object | _lockobj = new Object()
## Properties
static bool | GlobalInitialized`[get]`
static Reporter | Global`[get, set]`
| Gets the global reporter object. This is typically used for configuring the global reporter.
virtual ReportLevel | ReportingLevel`[get, set]`
| Gets or sets level of output for reporting (console output, message boxes, etc.).
virtual ReportLevel | LoggingLevel`[get, set]`
| Gets or sets level of output for logging (writing to log files).
virtual ReportLevel | TracingLevel`[get, set]`
| Gets or sets trace level (for external trace systems).
bool | TreatError`[get]`
| Returns a boolean value indicating whether errors are treated by the reporter in its current state.
bool | TreatWarning`[get]`
| Returns a boolean value indicating whether warnings are treated by the reporter in its current state.
bool | TreatInfo`[get]`
| Returns a boolean value indicating whether info messages are treated by the reporter in its current state.
bool | TreatUndefined`[get]`
| Returns a boolean value indicating whether undefined messages with the lowest priority are treated by the reporter in its current state.
ReportLevel | Level`[get, set]`
| Gets the level with the lowesst priority (out of reporting, logging and tracing level), or sets all levels to the assigned level.
virtual bool | this [ReportLevel level]`[get, set]`
| Indexer that returns true if messages of a given level are treated by the reporter (either by the reporting, logging or tracing part, according to the corresponding level states), or false if not (i.e. if all the levels are set lover than the index). In the case of assignment, when true is assigned, all levels that are set lower than the are set to index. Assignment with false should be used only exteptionally; but in this case all levels that are set higher or equal than the index are set one level below.
TraceSwitch | ReportingSwitch`[get, set]`
| Gets or sets the TraceSwitch that is synchronized with ReportingLevel. IMPORTANT: State of the object obtained by get accessor must not be changed unless the object is assigned back by the set accessor. If one wants that this TraceSwitch assumes values specified by the configuration file, a corresponding Traceswitch must be created and assigned to this property (otherwise the TraceSwitch will be synchronized with the ReportingLevel, which will override its settings).
TraceSwitch | LoggingSwitch`[get, set]`
| Gets or sets the TraceSwitch that is synchronized with LoggingLevel. IMPORTANT: State of the object obtained by get accessor must not be changed unless the object is assigned back by the set accessor. If one wants that this TraceSwitch assumes values specified by the configuration file, a corresponding Traceswitch must be created and assigned to this property (otherwise the TraceSwitch will be synchronized with the LoggingLevel, which will override its settings).
TraceSwitch | TracingSwitch`[get, set]`
| Gets or sets the TraceSwitch that is synchronized with TracingLevel. IMPORTANT: State of the object obtained by get accessor must not be changed unless the object is assigned back by the set accessor. If one wants that this TraceSwitch assumes values specified by the configuration file, a corresponding Traceswitch must be created and assigned to this property (otherwise the TraceSwitch will be synchronized with the TracingLevel, which will override its settings).
bool | ThrowTestException`[get, set]`
| If true then the basic reporting function will throw an exception. This is intended predominantly for testing how the reporter behaves in case of internal errors. When the exception is thrown, the value is set back to false. If we want an exception to be thrown again then the value must be set to true once again.
object | Obj`[get, set]`
| Auxiliary object used by the delegates that perform error reporting. The object is used to provide additional information used in error reporting, or to provide objects that perform some actions in error reporting tasks, or both. It is left entirely to error reporting delegates to interpret the object'result contents.
virtual object | lockobj`[get]`
| Object used for locking.
bool | UseTextWriter`[get, set]`
| Gets or sets the flag specifying whether reporting using a text writer is performed or not.
## Private Member Functions
bool | SetWriter (TextWriter writer)
| Sets the text writer to which reporting is also performed.
bool | SetWriter (Stream stream)
| Creates a TextWriter upon the stream and sets it as the text writer to which reporting is also performed.
bool | SetWriter (string filename)
| Creates a TextWriter upon a file and sets it as the text writer to which reporting is also performed.
bool | SetWriter (string filename, bool overwrite)
| Creates a TextWriter upon a file and sets it as the text writer to which reporting is also performed.
## Static Private Member Functions
static void | Test ()
## Private Attributes
ReportLevel | _LoggingLevel = ReportLevel.Warning
ReportLevel | _TracingLevel = ReportLevel.Info
TraceSwitch | _LoggingSwitch = null
TraceSwitch | _TracingSwitch = null
bool | _ThrowTestException = false
object | _obj = null
bool | _UseTextWriter = false
List< TextWriter > | Writers = new List<TextWriter>()
List< String > | FileNames = new List<String>()
TextWriter | Writer = null
bool | DisposeWriter = false
## Static Private Attributes
static Reporter | _Global = null
static bool | _GlobalInitialized = false

## Detailed Description

Base IG class for reporting, tracing and logging; provides a global reporter and a basis for creation of local reporters. This class is identical to the IGLib class (copied directly). IN EFA, refer to the derived class Reporter!

## Constructor & Destructor Documentation

IG::Lib::Old::Reporter::Reporter | ( |  | ) | `[inline]`

Constructor. Initializes all error reporting delegates to default values and sets auxliary object to null. Auxiliary object Obj is set to null.

IG::Lib::Old::Reporter::Reporter | ( | object | obj,
|  | ReportDelegate | reportdelegate,
|  | ReportLocationDelegate | locationdelegate,
|  | ReportMessageDelegate | messagedelegate,
|  | ReserveReportErrorDelegate | reservereportdelegate
| ) |  | `[inline]`

Constructor. Initializes the error reporter by the specified auxiliary object and delegates used to perform error reporting tasks. Delegates that are not specified are set to default values.

Parameters:

  obj | Auxiliary object that will be passed to error reporting delegates when called in local methods.
  reportdelegate | Delegates that is called to launc an error report. Methods of this class will pass to this class the auxiliary object, location strings assembled by the location assembling delegate, and error message string assembled by the error message delegate.
  locationdelegate | Delegate that is called to assemble the error location string. The Auxiliary object this.Obj will be internally passed to this delegate any time it is called.
  messagedelegate | Delegate that is called to assemble the error message (without decorations). The Auxiliary object this.Obj will be internally passed to this delegate any time it is called.
  reservereportdelegate | Delegate that is called to report exceptions that occur within error reporting methods. In particular, this must ne as bullet proof as possible.

IG::Lib::Old::Reporter::Reporter | ( | object | obj,
|  | ReportDelegate | reportdelegate,
|  | ReportLocationDelegate | locationdelegate,
|  | ReportMessageDelegate | messagedelegate
| ) |  | `[inline]`

Constructor. Initializes the error reporter by the specified auxiliary object and delegates used to perform error reporting tasks. Reserve error reporting delegate is initialized to a default value. Delegates that are not specified are set to default values.

IG::Lib::Old::Reporter::Reporter | ( | object | obj,
|  | ReportDelegate | reportdelegate
| ) |  | `[inline]`

Constructor. Initializes the error reporter by the specified auxiliary object and the delegate to perform error reporting tasks. Reserve error reporting delegate is initialized to a default value. Delegates for assembling the error location string and error message string are set to their default values, which are adapted to console-like eror reporting systems.

IG::Lib::Old::Reporter::Reporter | ( | object | obj,
|  | ReportDelegate | reportdelegate,
|  | ReserveReportErrorDelegate | reservereportdelegate
| ) |  | `[inline]`

Constructor. Initializes the error reporter by the specified auxiliary object and delegates used to perform error reporting tasks. Delegates for assembling the error locatin and error message string are set to their default values, which are adapted to console-like eror reporting systems.

Parameters:

  obj | Auxiliary object that will be passed to error reporting delegates when called in local methods.
  reportdelegate | Delegates that is called to launc an error report. Methods of this class will pass to this class the auxiliary object, location strings assembled by the location assembling delegate, and error message string assembled by the error message delegate.
  reservereportdelegate | Delegate that is called to report exceptions that occur within error reporting methods. In particular, this must ne as bullet proof as possible.

## Member Function Documentation

virtual void IG::Lib::Old::Reporter::SetDefaultReportDlg | ( |  | ) | `[inline, protected, virtual]`

Sets the error reporting delegate to the default value. The default delegate does not utilize the auxiliary object (and can be mixed with the delegates that do.)

virtual void IG::Lib::Old::Reporter::SetDefaultReportLocationDlg | ( |  | ) | `[inline, protected, virtual]`

Sets the error location assembling delegate to the default value. The default delegate does not utilize the auxiliary object (and can be mixed with the delegates that do.)

virtual void IG::Lib::Old::Reporter::SetDefaultReportMessageDlg | ( |  | ) | `[inline, protected, virtual]`

Sets the error message assembling delegate to the default value. The default delegate does not utilize the auxiliary object (and can be mixed with the delegates that do.)

virtual void IG::Lib::Old::Reporter::SetDefaultReserveReportErrorDlg | ( |  | ) | `[inline, protected, virtual]`

Sets the reserve error reporting delegate to the default value. The default delegate does not utilize the auxiliary object (and can be mixed with the delegates that do.)

virtual void IG::Lib::Old::Reporter::InitBegin | ( |  | ) | `[inline, protected, virtual]`

Initial part of initialization. Auxiliary object is not affected because default delegates do not utilize it.

virtual void IG::Lib::Old::Reporter::InitEnd | ( |  | ) | `[inline, protected, virtual]`

Finalizing part of initialization. Auxiliary object is not affected because default delegates do not utilize it.

void IG::Lib::Old::Reporter::Init | ( | object | obj,
|  | ReportDelegate | reportdelegate,
|  | ReportLocationDelegate | locationdelegate,
|  | ReportMessageDelegate | messagedelegate,
|  | ReserveReportErrorDelegate | reservereportdelegate
| ) |  | `[inline]`

Initializes the error reporter by the specified auxiliary object and delegates used to perform error reporting tasks. Delegates that are not specified are set to default values.

Parameters:

  obj | Auxiliary object that will be passed to error reporting delegates when called in local methods.
  reportdelegate | Delegates that is called to launc an error report. Methods of this class will pass to this class the auxiliary object, location strings assembled by the location assembling delegate, and error message string assembled by the error message delegate.
  locationdelegate | Delegate that is called to assemble the error location string. The Auxiliary object this.Obj will be internally passed to this delegate any time it is called.
  messagedelegate | Delegate that is called to assemble the error message (without decorations). The Auxiliary object this.Obj will be internally passed to this delegate any time it is called.
  reservereportdelegate | Delegate that is called to report exceptions that occur within error reporting methods. In particular, this must ne as bullet proof as possible.

Implements IG::Lib::Old::IReporter.

void IG::Lib::Old::Reporter::Init | ( |  | ) | `[inline]`

Initializes all error reporting delegates to default values and sets auxliary object to null. Auxiliary object Obj is set to null.

Implements IG::Lib::Old::IReporter.

void IG::Lib::Old::Reporter::Init | ( | object | obj,
|  | ReportDelegate | reportdelegate,
|  | ReportLocationDelegate | locationdelegate,
|  | ReportMessageDelegate | messagedelegate
| ) |  | `[inline]`

Initializes the error reporter by the specified auxiliary object and delegates used to perform error reporting tasks. Reserve error reporting delegate is initialized to a default value. Delegates that are not specified are set to default values.

Implements IG::Lib::Old::IReporter.

void IG::Lib::Old::Reporter::Init | ( | object | obj,
|  | ReportDelegate | reportdelegate
| ) |  | `[inline]`

Initializes the error reporter by the specified auxiliary object and the delegate to perform error reporting tasks. Reserve error reporting delegate is initialized to a default value. Delegates for assembling the error location string and error message string are set to their default values, which are adapted to console-like eror reporting systems.

Implements IG::Lib::Old::IReporter.

void IG::Lib::Old::Reporter::Init | ( | object | obj,
|  | ReportDelegate | reportdelegate,
|  | ReserveReportErrorDelegate | reservereportdelegate
| ) |  | `[inline]`

Initializes the error reporter by the specified auxiliary object and delegates used to perform error reporting tasks. Delegates for assembling the error locatin and error message string are set to their default values, which are adapted to console-like eror reporting systems.

Parameters:

  obj | Auxiliary object that will be passed to error reporting delegates when called in local methods.
  reportdelegate | Delegates that is called to launc an error report. Methods of this class will pass to this class the auxiliary object, location strings assembled by the location assembling delegate, and error message string assembled by the error message delegate.
  reservereportdelegate | Delegate that is called to report exceptions that occur within error reporting methods. In particular, this must ne as bullet proof as possible.

Implements IG::Lib::Old::IReporter.

virtual void IG::Lib::Old::Reporter::ResetLevels | ( |  | ) | `[inline, virtual]`

Resets the various kinds of reporting levels to default values.

Implements IG::Lib::Old::IReporter.

static bool IG::Lib::Old::Reporter::DoLaunch | ( | ReportType | reptype,
|  | ReportLevel | replevel
| ) |  | `[inline, static]`

Returns true if the report of a given type will be launched at the given reporting level, and false if not.

Parameters:

  reptype | Type of the report for which information is returned.
  replevel | True if reports of the specific type are launched, false if not.

bool IG::Lib::Old::Reporter::DoReporting | ( | ReportType | reptype | ) | `[inline]`

Returns true if the report of a given type should be shown by user interface (according to ReportingLevel), and false if not.

Parameters:

  reptype | Type of the report for which information is returned.

Returns:
  True if reports of the specific type are launched, false if not.

bool IG::Lib::Old::Reporter::DoLogging | ( | ReportType | reptype | ) | `[inline]`

Returns true if the report of a given type should be logged in log files (according to ReportingLevel), and false if not.

Parameters:

  reptype | Type of the report for which information is returned.

Returns:
  True if reports of the specific type are launched, false if not.

bool IG::Lib::Old::Reporter::DoTracing | ( | ReportType | reptype | ) | `[inline]`

Returns true if the report of a given type should traced (according to ReportingLevel), and false if not.

Parameters:

  reptype | Type of the report for which information is returned.

Returns:
  True if reports of the specific type are launched, false if not.

virtual EventLogEntryType IG::Lib::Old::Reporter::ReportType2EventLogEntryType | ( | ReportType | rt | ) | `[inline, virtual]`

Returns the System.Diagnostics.EventLogEntryType value corresponding to the given ReportType. Remark: FailureAudit and SuccessAudit can not be generated because they don't have representation in ReportType.

Parameters:

  level | ReportType value to be converted.

Returns:
  Converted value of type EventLogEntryType.

Implements IG::Lib::Old::IReporter.

virtual ReportType IG::Lib::Old::Reporter::EventLogEntryType2ReportType | ( | EventLogEntryType | el | ) | `[inline, virtual]`

Returns the ReportType value corresponding to the given System.Diagnostics.EventLogEntryType. Remark: FailureAudit and SuccessAudit do not have representation in ReportType and are mapped to Error and Warning, respectively.

Parameters:

  level | EventLogEntryType value to be converted.

Returns:
  Converted value of type ReportType.

Implements IG::Lib::Old::IReporter.

virtual TraceLevel IG::Lib::Old::Reporter::ReportLevel2TraceLevel | ( | ReportLevel | level | ) | `[inline, virtual]`

Returns the System.Diagnostics.TraceLevel value corresponding to the given ReportLevel.

Parameters:

  level | ReportLevel value to be converted.

Returns:
  Converted value of type TraceLevel.

Implements IG::Lib::Old::IReporter.

virtual ReportLevel IG::Lib::Old::Reporter::TraceLevel2ReportLevel | ( | TraceLevel | tl | ) | `[inline, virtual]`

Returns the ReportLevel value corresponding to the given System.Diagnostics.TraceLevel.

Parameters:

  level | TraceLevel value to be converted.

Returns:
  Converted value of type ReportLevel.

Implements IG::Lib::Old::IReporter.

void IG::Lib::Old::Reporter::SyncReportLevelWithTraceSwitch | ( | TraceSwitch | tswitch,
|  | ref ReportLevel | level
| ) |  | `[inline, protected]`

Synchronizes the value of ReportLevel enumeration variable with the state of a TraceSwitch variable. Enumeration is synchronized according to the Level property of the switch.

Parameters:

  tswitch | A trace switch that the ReportLevel enumeration variable will be synchronized with. If it is null or it contains a level that can not be represented by the ReportLevel enumeration then nothing happens.
  level | The ReportLevel variable that is synchronized; declared as ref

void IG::Lib::Old::Reporter::SyncTraceSwitchWithReportLevel | ( | ReportLevel | level,
|  | TraceSwitch | tswitch
| ) |  | `[inline, protected]`

Synchronizes the state of a TraceSwitch object with the value of the ReportLevel enumeration.

Parameters:

  level | Value of the ReportLevel enumeration that TraceSwitch will be synchronized with
  tswitch | TraceSwitch taht is synchronized.

virtual void IG::Lib::Old::Reporter::ReserveReportError | ( | ReportType | messagetype,
|  | string | location,
|  | string | message,
|  | Exception | ex,
|  | Exception | ex1
| ) |  | `[inline, protected, virtual]`

Used to report errors within reporting functions. Designed to be bullet proof in order to ensure that improper behavior of the reporting system does not remain unnoticed.

Parameters:

  messagetype |
  location |
  message |
  ex |
  ex1 |

virtual void IG::Lib::Old::Reporter::Report | ( | ReportType | messagetype,
|  | string | location,
|  | string | message,
|  | Exception | ex
| ) |  | `[inline, virtual]`

Basic reporting method (overloaded). Launches an error report, a warning report or s kind of report/message. Supplemental data (such as objects necessary to launch visualize the report or operation typeflags) are obtained from the class' instance.

Parameters:

  messagetype | The type of the report (e.g. Error, Warning, etc.).
  location | User-provided description of error location.
  message | User-provided description of error.
  ex | Exception thrown when error occurred.

Implements IG::Lib::Old::IReporter.

void IG::Lib::Old::Reporter::Report | ( | ReportType | messagetype,
|  | string | message,
|  | Exception | ex
| ) |  | `[inline]`

Launches a report. Predominantly for error and warning reports.

Parameters:

  messagetype | Level of the message (Error, Warnind, etc.).
  message | User-provided description of error.
  ex | Exception that is the cause for launching the report (and from which additional information is extracted).

Implements IG::Lib::Old::IReporter.

void IG::Lib::Old::Reporter::Report | ( | ReportType | messagetype,
|  | Exception | ex,
|  | string | location
| ) |  | `[inline]`

Launches a report. Predominantly for error and warning reports.

Parameters:

  messagetype | Level of the message (Error, Warnind, etc.).
  ex | Exception that is the cause for launching the report (and from which additional information is extracted).
  location | User-provided description of error location.

Implements IG::Lib::Old::IReporter.

void IG::Lib::Old::Reporter::Report | ( | ReportType | messagetype,
|  | Exception | ex
| ) |  | `[inline]`

Launches a report. Predominantly for error and warning reports.

Parameters:

  messagetype | Level of the message (Error, Warnind, etc.).
  ex | Exception that is the cause for launching the report (and from which additional information is extracted).

Implements IG::Lib::Old::IReporter.

void IG::Lib::Old::Reporter::Report | ( | ReportType | messagetype,
|  | string | location,
|  | string | message
| ) |  | `[inline]`

Launches a report.

Parameters:

  messagetype | Level of the message (Error, Warnind, etc.).
  location | User provided description of the location where report was triggered.
  message | User provided message included in the report.

Implements IG::Lib::Old::IReporter.

void IG::Lib::Old::Reporter::Report | ( | ReportType | messagetype,
|  | string | message
| ) |  | `[inline]`

Launches a report.

Parameters:

  messagetype | Level of the message (Error, Warnind, etc.).
  message | User provided message included in the report.

Implements IG::Lib::Old::IReporter.

void IG::Lib::Old::Reporter::ReportError | ( | string | location,
|  | string | message,
|  | Exception | ex
| ) |  | `[inline]`

Basic error reporting method (overloaded). Supplemental data (such as objects necessary to launch visualize the report or operation typeflags) are obtained from the class' instance.

Parameters:

  location | User-provided description of error location.
  message | User-provided description of error.
  ex | Exception thrown when error occurred.

Implements IG::Lib::Old::IReporter.

void IG::Lib::Old::Reporter::ReportError | ( | string | message,
|  | Exception | ex
| ) |  | `[inline]`

Launches an error report.

Parameters:

  message | User-provided description of error.
  ex | Exception that is the cause for launching the report (and from which additional information is extracted).

Implements IG::Lib::Old::IReporter.

void IG::Lib::Old::Reporter::ReportError | ( | Exception | ex,
|  | string | location
| ) |  | `[inline]`

Launches an error report.

Parameters:

  ex | Exception that is the cause for launching the report (and from which additional information is extracted).
  location | User-provided description of error location.

Implements IG::Lib::Old::IReporter.

void IG::Lib::Old::Reporter::ReportError | ( | Exception | ex | ) | `[inline]`

Launches an error report. Predominantly for error and warning reports.

Parameters:

  ex | Exception that is the cause for launching the report (and from which additional information is extracted).

Implements IG::Lib::Old::IReporter.

void IG::Lib::Old::Reporter::ReportError | ( | string | location,
|  | string | message
| ) |  | `[inline]`

Launches an error report.

Parameters:

  location | User provided description of the location where report was triggered.
  message | User provided message included in the report.

Implements IG::Lib::Old::IReporter.

void IG::Lib::Old::Reporter::ReportError | ( | string | message | ) | `[inline]`

Launches an error report.

Parameters:

  message | User provided message included in the report.

Implements IG::Lib::Old::IReporter.

void IG::Lib::Old::Reporter::ReportWarning | ( | string | location,
|  | string | message,
|  | Exception | ex
| ) |  | `[inline]`

Basic warning reporting method (overloaded). Supplemental data (such as objects necessary to launch visualize the report or operation typeflags) are obtained from the class' instance.

Parameters:

  location | User-provided description of error location.
  message | User-provided description of error.
  ex | Exception thrown when error occurred.

Implements IG::Lib::Old::IReporter.

void IG::Lib::Old::Reporter::ReportWarning | ( | string | message,
|  | Exception | ex
| ) |  | `[inline]`

Launches a warning report.

Parameters:

  message | User-provided description of error.
  ex | Exception that is the cause for launching the report (and from which additional information is extracted).

Implements IG::Lib::Old::IReporter.

void IG::Lib::Old::Reporter::ReportWarning | ( | Exception | ex,
|  | string | location
| ) |  | `[inline]`

Launches a warning report.

Parameters:

  ex | Exception that is the cause for launching the report (and from which additional information is extracted).
  location | User-provided description of error location.

Implements IG::Lib::Old::IReporter.

void IG::Lib::Old::Reporter::ReportWarning | ( | Exception | ex | ) | `[inline]`

Launches a warning report. Predominantly for error and warning reports.

Parameters:

  ex | Exception that is the cause for launching the report (and from which additional information is extracted).

Implements IG::Lib::Old::IReporter.

void IG::Lib::Old::Reporter::ReportWarning | ( | string | location,
|  | string | message
| ) |  | `[inline]`

Launches a warning report.

Parameters:

  location | User provided description of the location where report was triggered.
  message | User provided message included in the report.

Implements IG::Lib::Old::IReporter.

void IG::Lib::Old::Reporter::ReportWarning | ( | string | message | ) | `[inline]`

Launches a warning report.

Parameters:

  message | User provided message included in the report.

Implements IG::Lib::Old::IReporter.

void IG::Lib::Old::Reporter::ReportInfo | ( | Exception | ex | ) | `[inline]`

Launches an info.

Parameters:

  ex | Exception that is the cause for launching the report (and from which additional information is extracted).

Implements IG::Lib::Old::IReporter.

void IG::Lib::Old::Reporter::ReportInfo | ( | string | location,
|  | string | message
| ) |  | `[inline]`

Launches an info.

Parameters:

  location | User provided description of the location where report was triggered.
  message | User provided message included in the report.

Implements IG::Lib::Old::IReporter.

void IG::Lib::Old::Reporter::ReportInfo | ( | string | message | ) | `[inline]`

Launches an info.

Parameters:

  message | User provided message included in the report.

Implements IG::Lib::Old::IReporter.

bool IG::Lib::Old::Reporter::SetWriter | ( | TextWriter | writer | ) | `[inline, private]`

Sets the text writer to which reporting is also performed.

Parameters:

  writer | Writer to which reporting will be performed.

Returns:
  True if a new writer has been successfully set and is ready to use, false otherwise.

bool IG::Lib::Old::Reporter::SetWriter | ( | Stream | stream | ) | `[inline, private]`

Creates a TextWriter upon the stream and sets it as the text writer to which reporting is also performed.

Parameters:

  writer | Stream to which reporting will be performed.

Returns:
  True if a new writer has been successfully set and is ready to use, false otherwise.

bool IG::Lib::Old::Reporter::SetWriter | ( | string | filename | ) | `[inline, private]`

Creates a TextWriter upon a file and sets it as the text writer to which reporting is also performed.

Parameters:

  writer | Stream to which reporting will be performed.

Returns:
  True if a new writer has been successfully set and is ready to use, false otherwise.

bool IG::Lib::Old::Reporter::SetWriter | ( | string | filename,
|  | bool | overwrite
| ) |  | `[inline, private]`

Creates a TextWriter upon a file and sets it as the text writer to which reporting is also performed.

Parameters:

  writer | Stream to which reporting will be performed.
  overwrite | If true then eventual existing contents of the file are overwritten. Otherwise, new text is appended at the end of the file.

Returns:
  True if a new writer has been successfully set and is ready to use, false otherwise.

static int IG::Lib::Old::Reporter::WriteMessage | ( | Reporter | reporter,
|  | string | msg
| ) |  | `[inline, static, protected]`

Writes the message msg to all output streams and files registered with the reporter.

Parameters:

  reporter | Reporter used for reporting, containing information about output streams and files.
  msg | String to be written to output streams and files.

Returns:
  Number of failures (0 if the message could be output to all streams and files specified).

static void IG::Lib::Old::Reporter::DefaultReport_TextWriter | ( | Reporter | reporter,
|  | ReportType | messagetype,
|  | string | location,
|  | string | message
| ) |  | `[inline, static, protected]`

Default delegate for launching reports (actually logging reports) via text writer.

Parameters:

  reporter | Reporter object where additional information can be found.
  messagetype | Type of the report(Error, Warning, Info...).
  location | Short string desctribing location where report was triggered.
  message | Message of the report.

static string IG::Lib::Old::Reporter::DefaultReportLocation_TextWriter | ( | Reporter | reporter,
|  | ReportType | messagetype,
|  | string | location,
|  | Exception | ex
| ) |  | `[inline, static, protected]`

Delegate for assembling a location string for this kind of report.

Parameters:

  reporter | Reporter object where additional information can be found.
  messagetype | Type of the report(Error, Warning, Info...).
  location | User provided location string.
  ex | Exception that triggered reporting.

Returns:
  Location string that can be used in a report.

static string IG::Lib::Old::Reporter::DefaultReportMessage_TextWriter | ( | Reporter | reporter,
|  | ReportType | messagetype,
|  | string | basicmessage,
|  | Exception | ex
| ) |  | `[inline, static, protected]`

Delegate for assembling a report message for this kind of report.

Parameters:

  reporter | Reporter object where additional information can be found.
  messagetype | Type of the report(Error, Warning, Info...).
  basicmessage | User provided message string.
  ex | Exception that triggered reporting.

Returns:
  Message string that can be used in a report.

virtual void IG::Lib::Old::Reporter::Report_TextWriter | ( | ReportType | messagetype,
|  | string | location,
|  | string | message,
|  | Exception | ex
| ) |  | `[inline, protected, virtual]`

Launches a report via console form. Report is launched by using special delegates for this kind of reporting. If the corresponding delegates for error location and message are not specified then general delegates are used for this purporse, or location and message string are simple assembled by this function.

Parameters:

  messagetype | Type of the report(Error, Warning, Info...).
  location | User provided location string.
  message | User provided message string.
  ex | Exception that triggered reporting.

static string IG::Lib::Old::Reporter::DefaultReportStringMessageBox | ( | Reporter | reporter,
|  | ReportType | messagetype,
|  | string | errorlocation,
|  | string | errormessage
| ) |  | `[inline, static]`

Auxiliary method that composes the complete message, including decoration, for reports launched in a message box.

Parameters:

  reporter | Reporter object used for reporting.
  messagetype | Level of the message that is reported (Error, Warning, ...)
  errorlocation | User description of location that caused the report.
  errormessage | User defined message.

Returns:
  String that is output by the report.

static string IG::Lib::Old::Reporter::DefaultReportStringConsole | ( | Reporter | reporter,
|  | ReportType | messagetype,
|  | string | errorlocation,
|  | string | errormessage
| ) |  | `[inline, static]`

Auxiliary method that composes the complete message, including decoration, for reports launched in consoles.

Parameters:

  reporter | Reporter object used for reporting.
  messagetype | Level of the message that is reported (Error, Warning, ...)
  errorlocation | User description of location that caused the report.
  errormessage | User defined message.

Returns:
  String that is output by the report.

static string IG::Lib::Old::Reporter::DefaultReportStringConsoleTimeStamp | ( | Reporter | reporter,
|  | ReportType | messagetype,
|  | string | errorlocation,
|  | string | errormessage
| ) |  | `[inline, static]`

Auxiliary method that composes the complete message, including decoration with a TIMESTAMP, for reports launched in consoles.

Parameters:

  reporter | Reporter object used for reporting.
  messagetype | Level of the message that is reported (Error, Warning, ...)
  errorlocation | User description of location that caused the report.
  errormessage | User defined message.

Returns:
  String that is output by the report.

static string IG::Lib::Old::Reporter::DefaultReportStringConsoleBas | ( | Reporter | reporter,
|  | ReportType | messagetype,
|  | string | errorlocation,
|  | string | errormessage,
|  | bool | timestamp
| ) |  | `[inline, static]`

Base method for DefaultReportStringConsole and DefaultReportStringConsoleTimeStamp.

Parameters:

  reporter | Reporter object used for reporting.
  messagetype | Level of the message that is reported (Error, Warning, ...)
  errorlocation | User description of location that caused the report.
  errormessage | User defined message.
  timestamp | Specifies whether to include a time stamp in the message.

Returns:
  String that is output by the report.

static void IG::Lib::Old::Reporter::DefaultReportConsole | ( | Reporter | reporter,
|  | ReportType | messagetype,
|  | string | errorlocation,
|  | string | errormessage
| ) |  | `[inline, static]`

Default delegate for reporting. For parameter descriptions, see ReportDlg.

static string IG::Lib::Old::Reporter::DefaultLocationString | ( | Reporter | reporter,
|  | ReportType | messagetype,
|  | string | location,
|  | Exception | ex
| ) |  | `[inline, static]`

Default delegate for assembly of the location string when reporting on consoles. For parameter descriptions, see ReportMessageDlg.

static string IG::Lib::Old::Reporter::DefaultMessageString | ( | Reporter | reporter,
|  | ReportType | messagetype,
|  | string | basicmessage,
|  | Exception | ex
| ) |  | `[inline, static]`

Default delegate for message assembly of the message string when reporting on consoles. For parameter descriptions, see ReportMessageDlg.

static string IG::Lib::Old::Reporter::DefaultReserveReportMessage | ( | Reporter | reporter,
|  | ReportType | messagetype,
|  | string | location,
|  | string | message,
|  | Exception | ex,
|  | Exception | ex1
| ) |  | `[inline, static]`

Default function function for assembling reserve error reporting message. This is put outside the DefaultReserveReportError() method such that the same assembly method can be used in different systems. The method is considered bulletproof.

Parameters:

  messagetype | Level of the message (Error, Warning,Info, etc.)
  location | Location string as passed to the error reporting function that has thrown an exception.
  message | Error message string as passed to the error reporting function that has thrown an exception.
  ex | Original exception that was being reported when the error reporting function threw an exception.
  ex1 | Exception thrown by the error reporting function.

static void IG::Lib::Old::Reporter::DefaultReserveReportError | ( | Reporter | reporter,
|  | ReportType | messagetype,
|  | string | location,
|  | string | message,
|  | Exception | ex,
|  | Exception | ex1
| ) |  | `[inline, static]`

Default function function for reserve error reporting (called if an exception is thrown in an error reporting function). Writes a report to the application'result standard console (if defined).

Parameters:

  reporter | Reporter object whre the method can get additional information.
  messagetype | Level of the message (Error, Warning,Info, etc.)
  location | Location string as passed to the error reporting function that has thrown an exception.
  message | Error message string as passed to the error reporting function that has thrown an exception.
  ex | Original exception that was being reported when the error reporting function threw an exception.
  ex1 | Exception thrown by the error reporting function.

static string IG::Lib::Old::Reporter::ErrorLocationString0 | ( | Exception | ex | ) | `[inline, static]`

Returns location string derived from ex, which includes information about the location where error occurred, specified by the source file name, function and line and column numbers.

Parameters:

  ex |

Returns:

static string IG::Lib::Old::Reporter::ErrorLocationString0 | ( | string | location,
|  | Exception | ex
| ) |  | `[inline, static]`

Returns Error location string derived from ex, which includes information about location of error occurrence and is prepended by additional location information (such as class name)

Parameters:

  location |
  ex |

Returns:

static void IG::Lib::Old::Reporter::Test | ( |  | ) | `[inline, static, private]`

## Member Data Documentation

Reporter IG::Lib::Old::Reporter::_Global = null`[static, private]`

bool IG::Lib::Old::Reporter::_GlobalInitialized = false`[static, private]`

bool IG::Lib::Old::Reporter::IsGlobal = false`[protected]`

Indicates whwther the current reporter is used as a global reporter or not. This flag is set when the global reporter is initialized.

ReportDelegate IG::Lib::Old::Reporter::ReportDlg = null

Delegate that performs error reporting. It calls delegates ReportDlg to assemble error location information and ReportMessageDlg to assemble error message. Then it uses both to assemble the final decorated error message and launches it in its own way.

ReportLocationDelegate IG::Lib::Old::Reporter::ReportLocationDlg = null

Delegate that assembles the error location string.

ReportMessageDelegate IG::Lib::Old::Reporter::ReportMessageDlg = null

Delegate that assembles the eror message string.

ReserveReportErrorDelegate IG::Lib::Old::Reporter::ReserveReportErrorDlg = null

Delegate that reports an error when the error reporting function throws an exception. Functions assigned to this delegate should really be BULLETPROOF. It is highly recommended to do reporting in small steps enclosed in try/catch blocks and especially to use the error reporting object very carefully (because it may not be initialized properly, which can also be the reason that the error reporting function crashes). It is higly recommended to first call the DefaultReserveReportError() within the function assigned to this delegate, or at least to use the DefaultReserveReportMessage() method for assembly of the message shown.

bool IG::Lib::Old::Reporter::DebugMode = false

Indicates that reporting suitable for debugging mode should be performed. A standard flag that can be used by the delegate functions.

ReportLevel IG::Lib::Old::Reporter::_ReportingLevel = ReportLevel.Warning`[protected]`

ReportLevel IG::Lib::Old::Reporter::_LoggingLevel = ReportLevel.Warning`[private]`

ReportLevel IG::Lib::Old::Reporter::_TracingLevel = ReportLevel.Info`[private]`

TraceSwitch IG::Lib::Old::Reporter::_ReportingSwitch = null`[protected]`

TraceSwitch IG::Lib::Old::Reporter::_LoggingSwitch = null`[private]`

TraceSwitch IG::Lib::Old::Reporter::_TracingSwitch = null`[private]`

bool IG::Lib::Old::Reporter::_ThrowTestException = false`[private]`

object IG::Lib::Old::Reporter::_obj = null`[private]`

object IG::Lib::Old::Reporter::_lockobj = new Object()`[protected]`

bool IG::Lib::Old::Reporter::_UseTextWriter = false`[private]`

List<TextWriter> IG::Lib::Old::Reporter::Writers = new List<TextWriter>()`[private]`

List<String> IG::Lib::Old::Reporter::FileNames = new List<String>()`[private]`

TextWriter IG::Lib::Old::Reporter::Writer = null`[private]`

bool IG::Lib::Old::Reporter::DisposeWriter = false`[private]`

ReportDelegate IG::Lib::Old::Reporter::ReportDlgTextWriter = new ReportDelegate(DefaultReport_TextWriter)

Delegate that performs reporting (actually logging) via text writer.

ReportLocationDelegate IG::Lib::Old::Reporter::ReportLocationDlgTextWriter = new ReportLocationDelegate(DefaultReportLocation_TextWriter)

Delegate that assembles the location string for reporting via console form.

ReportMessageDelegate IG::Lib::Old::Reporter::ReportMessageDlgTextWriter = new ReportMessageDelegate(DefaultReportMessage_TextWriter)

Delegate that assembles the message string for reporting via text writer.

## Property Documentation

bool IG::Lib::Old::Reporter::GlobalInitialized`[static, get]`

Reporter IG::Lib::Old::Reporter::Global`[static, get, set]`

Gets the global reporter object. This is typically used for configuring the global reporter.

virtual ReportLevel IG::Lib::Old::Reporter::ReportingLevel`[get, set]`

Gets or sets level of output for reporting (console output, message boxes, etc.).

Implements IG::Lib::Old::IReporter.

virtual ReportLevel IG::Lib::Old::Reporter::LoggingLevel`[get, set]`

Gets or sets level of output for logging (writing to log files).

Implements IG::Lib::Old::IReporter.

virtual ReportLevel IG::Lib::Old::Reporter::TracingLevel`[get, set]`

Gets or sets trace level (for external trace systems).

Implements IG::Lib::Old::IReporter.

bool IG::Lib::Old::Reporter::TreatError`[get]`

Returns a boolean value indicating whether errors are treated by the reporter in its current state.

Implements IG::Lib::Old::IReporter.

bool IG::Lib::Old::Reporter::TreatWarning`[get]`

Returns a boolean value indicating whether warnings are treated by the reporter in its current state.

Implements IG::Lib::Old::IReporter.

bool IG::Lib::Old::Reporter::TreatInfo`[get]`

Returns a boolean value indicating whether info messages are treated by the reporter in its current state.

Implements IG::Lib::Old::IReporter.

bool IG::Lib::Old::Reporter::TreatUndefined`[get]`

Returns a boolean value indicating whether undefined messages with the lowest priority are treated by the reporter in its current state.

Implements IG::Lib::Old::IReporter.

ReportLevel IG::Lib::Old::Reporter::Level`[get, set]`

Gets the level with the lowesst priority (out of reporting, logging and tracing level), or sets all levels to the assigned level.

Implements IG::Lib::Old::IReporter.

virtual bool IG::Lib::Old::Reporter::this[ReportLevel level]`[get, set]`

Indexer that returns true if messages of a given level are treated by the reporter (either by the reporting, logging or tracing part, according to the corresponding level states), or false if not (i.e. if all the levels are set lover than the index). In the case of assignment, when true is assigned, all levels that are set lower than the are set to index. Assignment with false should be used only exteptionally; but in this case all levels that are set higher or equal than the index are set one level below.

Parameters:

  level | Level for which we are interested whether it is treated.

Returns:
  True if a specific level (stated as index) is treated, false if not (i.e. if all of the reporting, logging )

Implements IG::Lib::Old::IReporter.

TraceSwitch IG::Lib::Old::Reporter::ReportingSwitch`[get, set]`

Gets or sets the TraceSwitch that is synchronized with ReportingLevel. IMPORTANT: State of the object obtained by get accessor must not be changed unless the object is assigned back by the set accessor. If one wants that this TraceSwitch assumes values specified by the configuration file, a corresponding Traceswitch must be created and assigned to this property (otherwise the TraceSwitch will be synchronized with the ReportingLevel, which will override its settings).

Implements IG::Lib::Old::IReporter.

TraceSwitch IG::Lib::Old::Reporter::LoggingSwitch`[get, set]`

Gets or sets the TraceSwitch that is synchronized with LoggingLevel. IMPORTANT: State of the object obtained by get accessor must not be changed unless the object is assigned back by the set accessor. If one wants that this TraceSwitch assumes values specified by the configuration file, a corresponding Traceswitch must be created and assigned to this property (otherwise the TraceSwitch will be synchronized with the LoggingLevel, which will override its settings).

Implements IG::Lib::Old::IReporter.

TraceSwitch IG::Lib::Old::Reporter::TracingSwitch`[get, set]`

Gets or sets the TraceSwitch that is synchronized with TracingLevel. IMPORTANT: State of the object obtained by get accessor must not be changed unless the object is assigned back by the set accessor. If one wants that this TraceSwitch assumes values specified by the configuration file, a corresponding Traceswitch must be created and assigned to this property (otherwise the TraceSwitch will be synchronized with the TracingLevel, which will override its settings).

Implements IG::Lib::Old::IReporter.

bool IG::Lib::Old::Reporter::ThrowTestException`[get, set]`

If true then the basic reporting function will throw an exception. This is intended predominantly for testing how the reporter behaves in case of internal errors. When the exception is thrown, the value is set back to false. If we want an exception to be thrown again then the value must be set to true once again.

object IG::Lib::Old::Reporter::Obj`[get, set]`

Auxiliary object used by the delegates that perform error reporting. The object is used to provide additional information used in error reporting, or to provide objects that perform some actions in error reporting tasks, or both. It is left entirely to error reporting delegates to interpret the object'result contents.

Implements IG::Lib::Old::IReporter.

virtual object IG::Lib::Old::Reporter::lockobj`[get]`

Object used for locking.

Implements IG::Lib::Old::IReporter.

bool IG::Lib::Old::Reporter::UseTextWriter`[get, set]`

Gets or sets the flag specifying whether reporting using a text writer is performed or not.

The documentation for this class was generated from the following file:

- ErrorOld.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events